$('.owl-carousel-unidades').owlCarousel({
    autoplay:false,
    loop:false,
    nav:true,
    touchDrag  : false,
    mouseDrag  : false,
    margin:10,
    responsiveClass:true,
    responsive:{
        0:{
            items:1,
            nav:false,
            dots:true,
            touchDrag  : true,
            mouseDrag  : true,
        },
        768:{
            items:3,
            nav:false,
            dots:true
        },
        1441:{
            items:3,
            dots:false
        }
    }
});

$('.owl-carousel-imagens').owlCarousel({
    autoplay:false,
    loop:false,
    touchDrag  : false,
    mouseDrag  : false,
    margin:0,
    responsiveClass:true,
    responsive:{
        0:{
            items:1,
            loop:true,
            nav:false,
            dots: true
        }
    }
});

$(".act-passeio-liberty").on("click", function(){
    $('.open-modal-passeio-liberty').modal('show');
    $('.open-modal-passeio-liberty .modal-body').scrollTop(0);
});

$('body').on("click", ".actReservar", function() {
    
    $("#section-unidades").find(".btn.btn-danger").removeClass("btn-danger actCancelar").addClass("btn-primary actReservar").html("Agendar visita");
    
    //$(".box-reservado").hide();
    $("input[name=tipo_imovel]").val("");
    
    $(this).removeClass("btn-primary actReservar").addClass("btn-danger actCancelar").html("Cancelar visita");
    
    unidade = $(this).data("unidade");
    tipo = $(this).data("tipo");
    
    $("input[name=tipo_imovel]").val(tipo);
    
    $(".value-reserva").html();
    $(".selecionar").hide();
    $(".selecionado").show();
    $(".value-reserva").html(tipo);
    
    if(unidade == "1"){
        //$(".reservado1").show('clip');
        $("input[name=area_total]").val("25");
    }
    
    if(unidade == "2"){
        /*$(".reservado2").show('clip');*/
        $("input[name=area_total]").val("53");
    }
    
    if(unidade == "3"){
        //$(".reservado3").show('clip');
        $("input[name=area_total]").val("55");
    }
    
   setTimeout(function(){ 
        
        $('html, body').animate(
        {
            scrollTop: $("#section-contato").offset().top - 120
        },1000);
        
    }, 800);
});

$('body').on("click", ".actCancelar", function() {
    
    $(".box-reservado").hide();
    $("input[name=tipo_imovel]").val("");
    $(".value-reserva").html();
    $(".selecionar").show();
    $(".selecionado").hide();
    
    $(this).removeClass("btn-danger actCancelar").addClass("btn-primary actReservar").html("Agendar visita");
    
    unidade = $(this).data("unidade");
    
    if(unidade == "1"){
        $(".reservado1").hide('clip');
    }
    if(unidade == "2"){
        $(".reservado2").hide('clip');
    }
    if(unidade == "3"){
        $(".reservado3").hide('clip');
    }
});

$('body').on("click", ".selecionar-unidade", function() {
    
    $('html, body').animate(
    {
        scrollTop: $("#section-unidades").offset().top - 120
    },1000);
});

$('body').on("click", ".icon-close", function() {
    
    $("input[name=tipo_imovel]").val("");
    
    $(".value-reserva").html();
    $(".selecionar").show();
    $(".selecionado").hide();
    
    $(".actCancelar").trigger("click");
});


$('body').on("click", ".actVejaFotos", function(e) {
    
    e.preventDefault();
    
    unidadeGaleria = $(this).data("unidade");
    
    $section = $('*[data-section="'+unidadeGaleria+'"]');
   
    $('#open-modal-passeio-liberty').modal('show');
    
    $('#open-modal-passeio-liberty .modal-body').scrollTop(0);
    
    $('#open-modal-passeio-liberty .modal-body').animate({
       scrollTop: 0
    }, function(){
        sectionOffset = $section.offset();
        modalBody = $("#open-modal-passeio-liberty .modal-body").offset();
        
        $('#open-modal-passeio-liberty .modal-body').animate({
            scrollTop: sectionOffset.top - modalBody.top - 15
        }, 1000);
    });
    
});


//form captura
$('#formCaptura').submit(function(e){
    
    e.preventDefault();
    e.stopPropagation();
    
    loadButton($('#formCaptura button.btn-enviar'));
	
	$.ajax({
		url: base_url+"landingpage/ajax/captura_ajax/captura_interessado_liberty",
		dataType: 'json',
		type: 'POST',
		data: get_form('#formCaptura'),
		success: function(retorno)
		{		
		    console.log("retorno por favor: ",retorno);
			if (retorno.valid == true)
			{
			    window.location.href = retorno.data.redirect;
			}
			else
			{
			    loadButton(null,false);
			    ico = '<img src="'+base_url+'/assets/img/comdono/icons/error.png">';
    	        $('#formCaptura .content_result').html('<label class="error-login"><span>'+ico+'</span>'+retorno.msg+'</label>');
			}
		},
		error: function(error)
		{
		    loadButton(null,false);
			ico = '<img src="'+base_url+'/assets/img/comdono/icons/error.png">';
	        $('#formCaptura .content_result').html('<label class="error-login"><span>'+ico+'</span>Erro! Tente novamente mais tarde.</label>');
		}
	});
	
});

function clearForm(){
    $("input[name='email']").val("");
    $("input[name='telefone']").val("");
    
    loadButton(null,false);
    
    $('#formCaptura .content_result').html("");
}